Package org.apache.wiki.render

## Class WikiRenderer

- java.lang.Object
- - org.apache.wiki.render.WikiRenderer

Direct Known Subclasses:
  `CleanTextRenderer`, `CreoleRenderer`, `WysiwygEditingRenderer`, `XHTMLRenderer`

    public abstract class WikiRenderer
    extends java.lang.Object

Provides an interface to the basic rendering engine. This class is an abstract class instead of an interface because it is expected that rendering capabilities are increased at some point, and I would hate if renderers broke. This class allows some sane defaults to be implemented.

Since:
  2.4

### Field Summary

Fields
`static java.lang.String` `LINKS_SOURCE`
`static java.lang.String` `LINKS_TRANSLATION`
`protected Context` `m_context`
`protected WikiDocument` `m_document`

### Constructor Summary

Constructors
`protected` `WikiRenderer​(Context context, WikiDocument doc)` Create a WikiRenderer.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.String` `getString()` Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_context

    protected final Context m_context

#### m_document

    protected final WikiDocument m_document

#### LINKS_TRANSLATION

    public static final java.lang.String LINKS_TRANSLATION

See Also:
  Constant Field Values

#### LINKS_SOURCE

    public static final java.lang.String LINKS_SOURCE

See Also:
  Constant Field Values

### Constructor Detail

#### WikiRenderer

    protected WikiRenderer​(Context context,
                           WikiDocument doc)

Create a WikiRenderer.

Parameters:
  `context` - A WikiContext in which the rendering will take place.
  `doc` - The WikiDocument which shall be rendered.

### Method Detail

#### getString

    public abstract java.lang.String getString()
                                        throws java.io.IOException

Renders and returns the end result.

Returns:
  A rendered string.
Throws:
  `java.io.IOException` - If rendering fails.